import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listInfo(query) {
  return request({
    url: '/kwaixiaodian/item/list',
    method: 'get',
    params: query
  })
}

export function getShopList(query) {
  return request({
    url: '/kwaixiaodian/item/getShopList',
    method: 'get',
    params: query
  })
}

export function getCourtshipPurchaseIds(query) {
  return request({
    url: '/kwaixiaodian/item/getCourtshipPurchaseIds',
    method: 'get',
    params: query
  })
}

export function addInfo(data) {
  return request({
    url: '/kwaixiaodian/item/querykwaiItmInfo',
    method: 'post',
    data: data
  })
}


export function delInfo(id) {
  return request({
    url: '/kwaixiaodian/item/' + id,
    method: 'delete'
  })
}


export function queryItemReport(query) {
  return request({
    url: '/kwaixiaodian/item/queryItemReport',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getInfo(id) {
  return request({
    url: '/kwaixiaodian/item/' + id,
    method: 'get'
  })
}


export function updateInfo(data) {
  return request({
    url: '/kwaixiaodian/item',
    method: 'put',
    data: data
  })
}





